Cassandra.Processor.prepare_cql3_query (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.Processor.prepare_cql3_query<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.prepare_cql3_query_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.prepare_cql3_query<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.prepare_cql3_query<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.prepare_cql3_query_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `prepare_cql3_query()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.prepare_cql3_query_args` | `getEmptyArgsInstance()`
    `Cassandra.prepare_cql3_query_result` | `getResult(I iface, Cassandra.prepare_cql3_query_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### prepare_cql3_query

          public prepare_cql3_query()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.prepare_cql3_query_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.prepare_cql3_query_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.prepare_cql3_query_args>`

    - #### getResult

          public Cassandra.prepare_cql3_query_result getResult(I iface,
                                                               Cassandra.prepare_cql3_query_args args)
                                                        throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.prepare_cql3_query_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation